@charset "utf-8";
/* トランスコスモス株式会社 エンジニア新卒採用LP 職種紹介下層 Style CSS */

:root #arc-eng {
  --id-color: #05596C; /* 建築設計エンジニア */
}
:root #cv-eng {
  --id-color: #694B04; /* 土木設計エンジニア */
}
:root #mec-eng {
  --id-color: #02483A; /* 機械設計エンジニア */
}
:root #emb-eng {
  --id-color: #373A32; /* 組み込み設計エンジニア */
}

body {
  background-color: var(--color-mono100);
}

#main-area {
  position: relative;
}

/* MV Style ==================================== */
#ttl-area {
  margin-bottom: 80px;
}
@media screen and (max-width:750px) {
  #ttl-area {
    margin-bottom: clamp(44px, 11.73vw, 88px);
  }
}

/* この仕事の魅力 Style ========================== */
#job-appeal .jobtype-card {
  display: flex;
  min-height: 263px;
  margin-bottom: 32px;
  color: var(--color-mono100);
  text-decoration: none;
}
#job-appeal .jobtype-card .jobtype-img {
  width: min(500px, 34.72vw);
  max-height: 100%;
  flex-shrink: 0;
  overflow: hidden;
}
#job-appeal .jobtype-card .jobtype-img img {
  max-height: 100%;
  min-height: 100%;
  object-fit: cover;
}
#job-appeal .jobtype-card .jobtype-txt {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: clamp(16px,1.67vw,24px);
  padding: 40px;
  background-color: var(--color-white);
}
#job-appeal .jobtype-card .jobtype-txt h3 {
  justify-self: center;
  margin-bottom: 0;
  font-size: 2.8rem;
  font-weight: 500;
  line-height: 140%;
  letter-spacing: 0;
  color: var(--id-color);
}
#job-appeal .block h3 {
  display: flex;
  align-items: center;
  gap: 16px;
}
#job-appeal .block h3::after {
  flex: 1 1 auto;
  height: 1px;
  background-color: #999;
  content: "";
}
@media screen and (max-width:750px) {
  #job-appeal .jobtype-card {
    flex-direction: column;
  }
  #job-appeal .jobtype-card .jobtype-img {
    width: 100%;
  }
  #job-appeal .jobtype-card .jobtype-img img {
    width: 100%;
    height: 200px;
  }
  #job-appeal .jobtype-card .jobtype-txt h3 {
    font-size: clamp(2.2rem,3.73vw,2.8rem);
  }
  #job-appeal .jobtype-card .jobtype-txt {
    padding: clamp(30px,5.33vw,40px) clamp(20px,5.33vw,40px);
  }
}

/* 現場の声 Style ========================== */
#voice {
  max-width: 1140px;
  margin: 32px auto 48px;
}
#voice .__inner {
  position: relative;
  max-width: 1000px;
  margin-inline: auto;
}
#voice h2 {
  margin-bottom: 24px;
}
#voice .voice-area {
  margin-bottom: 26px;
}
#voice .voice-card a {
  /*padding: clamp(15px,1.67vw,24px);*/
  padding-bottom: 0;
  display: block;
  color: #fff;
  text-decoration: none;
}
#voice .voice-card__inner {
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding-top: 8px;
}
#voice .voice-card__inner h3 {
  margin-bottom: 0;
  font-size: 1.6rem;
  font-weight: 400;
}
#voice .voice-card__inner .voice-tag li {
  display: inline-block;
  margin-right: 8px;
  margin-bottom: 8px;
  padding: 4px 8px;
  border-radius: 2px;
  color: var(--id-color);
  background-color: var(--color-white);
}
@media screen and (max-width: 1024px) {
  #voice {
    max-width: initial;
    width: 100%;
  }
  #voice .__inner {
    max-width: initial;
    margin-inline: auto;
  }
  #voice h2 {
    margin-bottom: clamp(15px, 3.91vw,24px);
  }
}
@media screen and (max-width: 750px) {
  #voice .voice-card__inner .voice-tag li {
    padding: 2px 4px;
    font-size: var(--txtfs-s);
  }
}
/* voice slider Style ==================================== */
#voice .swiper {
  max-width: 1000px;
}
/* slider navi */
#voice .swiper-button-prev {
  position: absolute;
  left: -72px;
  background: url(/saiyou/fresh/engineer/images/ico-prev.svg) no-repeat 100% 100%;
}
#voice .swiper-button-next {
  position: absolute;
  right: -72px;
  background: url(/saiyou/fresh/engineer/images/ico-next.svg) no-repeat 100% 100%;
}
#voice .swiper-button-prev, #voice .swiper-button-next {
  display: grid;
  place-content: center;
  position: absolute;
  z-index: 1;
  top: 0;
  bottom: 0;
  width: 40px;
  height: 40px;
  margin: auto;
  transition: all 0.4s;
  cursor: pointer;
}
/* slider pagination */
#voice .swiper-pagination {
  display: flex;
  flex-wrap: wrap;
  gap: 1.2rem 0.8rem;
  justify-content: center;
  margin-top: 14px;
  text-align: center;
}
#voice .swiper-pagination-bullet {
  width: 10px;
  height: 10px;
  cursor: pointer;
  vertical-align: top;
  background-color: #999;
}
#voice .swiper-pagination-bullet-active {
  background-image: conic-gradient(from 45deg, #eeeeee, #d8d8d8);
}
#voice .swiper-button-prev[aria-disabled="true"],
#voice .swiper-button-next[aria-disabled="true"],
#voice .swiper-pagination.swiper-pagination-lock {
    display: none;
}
@media screen and (min-width: 1025px) {
  #voice .swiper {
    padding-top: 16px;
  }
  #voice .swiper-slide {
    transition: opacity 0.4s;
  }
  #voice .swiper-slide a:hover {
    opacity: 0.7;
  }
  #voice .voice-img {
    display: block;
    overflow: hidden;
    transition: all 0.4s;
  }
  #voice .swiper-slide img {
    transition: all 0.4s;
  }
  #voice .swiper-slide a:hover img {
    transform: scale(1.08);
  }
  .swiper-button-prev:hover, .swiper-button-next:hover,
  .swiper-pagination-bullet:hover {
    opacity: 0.7;
  }
}
@media screen and (max-width: 1200px) {
  #voice .swiper {
    max-width: clamp(870px, 75vw, 900px);
  }
  #voice .swiper-button-prev {
    left: 0;
  }
  #voice .swiper-button-next {
    right: 0;
  }
  #voice .swiper-button-prev, #voice .swiper-button-next {
    width: clamp(30px, 2.92vw, 40px);
    height: clamp(30px, 2.92vw, 40px);
    background-size: contain;
  }
}
@media screen and (max-width: 1024px) {
  #voice .swiper {
    max-width: 83.33vw;
    margin-inline: auto;
  }
  #voice .swiper-button-prev {
    right: calc(100% - 3.2rem);
  }
  #voice .swiper-button-next {
    left: calc(100% - 3.2rem);
  }
}
@media screen and (max-width: 750px) {
  #voice .swiper {
    margin-inline: auto;
  }
  #voice .swiper-button-prev, #voice .swiper-button-next {
    position: initial;
    width: clamp(30px, 5.33vw, 40px);
    height: clamp(30px, 5.33vw, 40px);
    background-size: contain;
    margin: 0;
  }
  #voice .swiper-parts {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: clamp(32px, 8.53vw, 64px);
  }
  #voice .swiper-pagination {
    margin-top: 0;
  }
}
/* キャリアパス Style ========================== */
#main-area  #career-path {
  position: relative;
  width: 100vw;
  max-width: initial;
  margin: 0 calc(50% - 50vw);
  padding-top: min(6.67vw,96px);
  padding-bottom: min(13.75vw,198px);
  background-color: var(--color-white);
}
.career-path-ttl {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  max-width: 1000px;
  margin: 0 auto;
}
.career-path-ttl .ttl {
  position: relative;
  display: flex;
  justify-content: space-between;
  width: 100%;
  z-index: 4;
}
.career-path-ttl .tab {
  position: relative;
  display: flex;
  align-items: center;
  width: 1460px;
  object-fit: cover;
  object-position: right;
  margin-top: max(-1.39vw,-20px);
  z-index: 3;
}
.career-path-ttl .tab img {
  width: 100%;
}
.career-path-ttl .tab .label {
  position: absolute;
  right: min(4.44vw,64px);
  display: flex;
  justify-content: center;
  align-items: center;
  width: min(25.42vw, 366px);
  height: min(24.72vw,356px);
  background-color: rgba(0, 0, 0 , 0.8);
  text-align: center;
}
#career-path .deco-txt {
  width: min(34.44vw,496px);
  aspect-ratio: 496 / 94;
}
#career-path .deco-txt svg {
  width: 100%;
  margin-right: 5px;
  fill: var(--id-color);
}
#main-area  #career-path .__inner {
  position: relative;
  display: flex;
  gap: 45px;
  max-width: 1000px;
  margin: 0 auto;
  padding-top: min(6.67vw,96px);
}
#career-path .step h3 {
  color: var(--color-mono100);
}
#career-path .step ol {
  display: flex;
  flex-direction: column;
  gap: 14px;
}
#career-path .step ol li {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding-left: 30px;
  padding-bottom: 37px;
  color: var(--color-mono100);
}
#career-path .step ol li::before {
  position: absolute;
  top: 7px;
  left: -5px;
  display: block;
  width: 10px;
  height: 10px;
  content: "";
  transform: rotate(135deg);
  background-color: var(--id-color);
}
#career-path .step ol li::after {
  position: absolute;
  top: 7px;
  left: 0;
  display: block;
  width: 1px;
  height: calc(100% - 5px);
  content: "";
  background-color: var(--id-color);
}
#career-path .step ol li span {
  color: var(--id-color);
  font-weight: 700;
}
#career-path .step ol li:last-of-type::after {
  display: none;
}
@media screen and (max-width:1440px) {
  .career-path-ttl .tab {
    width: 1220px;
  }
}
@media screen and (max-width:1200px) {
  .career-path-ttl {
    max-width: calc(1000px + clamp(20px, 3.33vw, 40px));
  }
  .career-path-ttl .ttl {
    max-width: initial;
    padding-inline: clamp(20px, 3.33vw, 40px);
  }
  .career-path-ttl .tab {
    width: clamp(1000px, 101.67vw, 1220px);
    margin-right: clamp(20px, 3.33vw, 40px);
  }
  #main-area  #career-path .__inner {
    padding-inline: clamp(20px, 3.33vw, 40px);
  }
}
@media screen and (max-width: 1024px) {
  #career-path .deco-txt {
    width: 352px;
  }
  .career-path-ttl .tab {
    margin-top: -21px;
  }
}
@media screen and (max-width: 750px) {
  #main-area #career-path {
    padding-top: 80px;
    padding-bottom: 100px;
  }
  .career-path-ttl .ttl {
    flex-wrap: wrap;
  }
  .career-path-ttl .ttl h2 {
    margin-bottom: 0!important;
  }
  #career-path .deco-txt {
    width: 250px;
    margin-left: auto;
  }
  .career-path-ttl .tab {
    width: 100%;
    margin-top: -10px;
  }
  .career-path-ttl .tab .label {
    font-size: var(--txtfs-s);
  }
  #career-path .__inner figure {
    display: none;
  }
  #career-path .step ol li {
    padding-bottom: 16px;
  }
}